Subject: Re: bug#27034: mount -L will mount the first partition with the named label

From: Quiliro <[email-masked]>
Date: Wed, 24 May 2017 13:28:12 -0500

El Tue, 23 May 2017 11:39:13 +0200
Ricardo Wurmus <[email-masked]> escribió:

> 
> Quiliro <[email-masked]> writes:
> 
> > Now that installation had failed, I decided to remove all contents of /mnt/tmp to start from 0. 
> >
> > lsblk recognized:
> > sda as the usb installer
> > sdb1 as a previous failed installation with label my-root
> > sdc1 as the current installation with label my-root
> >
> > When I restarted to begin installation from fresh, I noticed that /mnt/etc/bare-bones.scm was changed from sda to sdc. I remember having changed it. But I started doubting. Then I checked the mount and noticed that /mnt was in sdb1 instead of in sdc1. So I umounted and mounted with -L again. But it would mount sdb1 again. So I umounted and mounted with /dev/sdc1 and no -L. That worked.
> 
> I don’t understand this bug report.  Labels must be unique.  They are
> a more readable alternative to using UUIDs.

Yes. I just inserted the two disks and the old one had the same configuration as the old. I copied the contents of the one to the other to avoid downloading again the packages.

-- 
Example of the problems in top posting:

A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

A: No.
Q: Should I leave quotations after my reply?

Saluton,
Quiliro
0987631031